SCREENDUMP(1)

NAME
screendump - dump a frame-buffer image to a file

SYNOPSIS
screendump [ -cCeo ] [ -f frame-buffer ] [ -t type ] [ -xyXY value ] [ filename ]

DESCRIPTION

screendump reads the contents of a frame buffer and writes the display image to filename (the default is the standard output ) in Sun standard rasterfile format.

If the frame buffer has both an overlay plane and color planes, screendump examines the overlay enable plane and tries to make the output file represent what is visible on the screen. It maps the overlay plane foreground and background colors into the closest values present in the color map for the color planes.

OPTIONS

-c  Dump the frame-buffer contents directly without making a temporary copy in a memory pixrect. Saves time and memory but lengthens the time the frame-buffer must be inactive to guarantee a consistent screen dump.

-C  Dump the frame-buffer color planes only (ignored if the display does not have color planes).

-e  Set the output rasterfile type to 2, RT_BYTE_ENCODED. For most images this saves a significant amount of space compared to the standard format.

-o  Dump the frame-buffer overlay plane only (ignored if the display does not have an overlay plane).

-f frame-buffer
    Dump the specified frame-buffer device (default is /dev/fb).

-t type
    Set the output rasterfile type (default 1, RT_STANDARD).

-x value
-y value
    Set the x or y coordinate of the upper left corner of the area to be dumped to the given value.

-X value
-Y value
    Set the width or height of the area to be dumped to the given value.

EXAMPLES

The command:

    example% screendump save.this.image

writes the current contents of the console frame buffer into the file save.this.image,

while the command:

    example% screendump -f /dev/cgtwo save.color.image

writes the current contents of the color frame buffer /dev/cgtwo into the file save.color.image.

The command:

    example% screendump | lpr -Pversatec -v

sends a rasterfile containing the current frame-buffer to the lineprinter, selecting the printer versatec and the v output filter (see /etc/printcap). The printer must support an appropriate imaging model such as PostScript in order to print the image.

FILES
/usr/lib/rasfilters/*
    filters for non-standard rasterfile formats
/dev/fb
    default frame buffer device
/etc/printcap

SEE ALSO
lpr(1), rasfilter8to1(1), rastrepl(1), screenload(1)

BUGS
The output file or the screen may be corrupted if the frame-buffer contents are modified while the dump is in progress.